diff --git a/CMake/export.cmake b/CMake/export.cmake
index 84ee0d7..e57ae7d 100644
--- a/CMake/export.cmake
+++ b/CMake/export.cmake
@@ -120,3 +120,11 @@ if(OPTION_CREATE_LINKS)
       @ONLY
    )
 endif(OPTION_CREATE_LINKS)
+
+if(NOT CMAKE_VERSION VERSION_LESS 2.8.11)
+   target_compile_definitions(fltk INTERFACE ${FLTK_CFLAGS})
+   target_include_directories(fltk INTERFACE
+      "$<BUILD_INTERFACE:${FLTK_INCLUDE_DIRS}>"
+      "$<INSTALL_INTERFACE:${CMAKE_INSTALL_PREFIX}/include>" # ???
+   )
+endif()
